<?php
/*
CAPTCHA-Skript:
===============
Quelle: http://www.stoppt-den-spam.info/webmaster/captcha-tutorial/index.html
von Roberto Zehnder, Rosenweg 15, 5722 Grnichen, Schweiz
//Erweitert von Matthias Vorwergk - matthias.vorwergk@web.de
*/
define('CPO', true);
if (empty($parameters)) {
    // ..captcha/.._include/..mod_guestbook/_include/common.inc.php
    require_once('../../../_include/common.inc.php');
    require_once('../function.inc.php');
}

//Einstellungen aus zentraler Datei hohlen
if (!empty($parameters)) { //Wenn mit Option "noimage" vom Parser aufgerufen, dann Pfad anpassen
    $config = '_include/captcha/captcha_config.inc.php';
} else { //sonst normalen Pfad nehmen
    $config = 'captcha_config.inc.php';
}
if (!file_exists($config) || !is_readable($config)) {
    $config .= '.dist'; 
}
include($config);

//Nach Bilddatei suchen
$png_img = 'captcha.png';
if (!file_exists($png_img) || !is_readable($png_img)) {
    $png_img .= '.dist'; 
}

//Standard-Werte setzen
if (empty($captcha_key)) {
    $captcha_key = '8fkd9oq6n';
}
if (empty($parameters) && (!isset($img_color_r) || !isset($img_color_g) || !isset($img_color_b))) {
    $img_color_r = 0; //Voreinstellung: 0
    $img_color_g = 0; //Voreinstellung: 0
    $img_color_b = 0; //Voreinstellung: 0
}
if (empty($parameters) && !isset($img_font)) {
    $img_font = "cetus.ttf"; //Voreinstellung: cetus.ttf
}
    
unset($_SESSION['captcha_spam']); 
$text = rand(1000,10000); //Zufallszahl 

$_SESSION['captcha_spam'] = encrypt($text, $captcha_key); //Key 
$_SESSION['captcha_spam'] = str_replace("=", "", $_SESSION['captcha_spam']); 

if (!empty($parameters)) { //Dadurch kann das Captcha direkt im Parser als Text ausgegeben werden
    echo $text;
} else {
    header('Content-type: image/png'); 
    $img = ImageCreateFromPNG($png_img); //Backgroundimage 
    $color = ImageColorAllocate($img, $img_color_r, $img_color_g, $img_color_b); //Farbe 
    $ttf = dirname(__FILE__)."/".$img_font; //Schriftart 
    $ttfsize = 25; //Schriftgrsse 
    $angle = rand(0,5); 
    $t_x = rand(5,50); 
    $t_y = 35; 
    imagettftext($img, $ttfsize, $angle, $t_x, $t_y, $color, $ttf, $text); 
    imagepng($img); 
    imagedestroy($img); 
}
?> 