<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

$where = "FROM ".CPO_NEWS." "
        ."WHERE ";

$where .= ($cpoSystem['release'] ? "artikel_archiv<2 AND freigabe=".STATE_RELEASED." " : "artikel_archiv<1 AND freigabe!=".STATE_BLOCKED." ")
        ."AND pub_datum<='".date('Y-m-d H:i:s', time())."' "
        ."AND verfallsdatum>='".date('Y-m-d H:i:s', time())."' "
        ."AND rubric_id='".addslashes($cpoRubric['id'])."' ";

//$where fr die Abfrage der Kommentare speichern
$where_comments = $where;
//fetch only articles which are no comments
$where .= "AND (idx like '___000' OR idx='zzzzzz') ";

// set starting article if not defined already
if (!isset($_REQUEST['pos']) || $_REQUEST['pos']<0) $_REQUEST['pos'] = 0;

if (isset($_REQUEST['nr'])) {
    $db = new DB;
    
    $db->query("SELECT idx FROM ".CPO_NEWS." WHERE nr='".(int)$_REQUEST['nr']."' ");
    $db->next_record();
    if ($_REQUEST['nr']!=getCommentedNr($db->v('idx'))) {
    	$article_nr = getCommentedNr($db->v('idx'));
    } else {
        $article_nr = $_REQUEST['nr'];
    }
    
    $db->query("SELECT nr ".$where." "
            ."ORDER BY ".addslashes($gb_settings['sorting'])." ");
    $i = 0;
    while ($db->next_record()) {
        if ($db->v('nr')==$article_nr) {
            $_REQUEST['pos'] = floor($i/$gb_settings['noOfArticles'])*$gb_settings['noOfArticles'];
            break;
        }
        $i++;
    }
}

$query_count = "SELECT COUNT(*) ".$where;
$query       = "SELECT rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify, c_time ".$where." "
            ."ORDER BY ".addslashes($gb_settings['sorting'])." "
            ."LIMIT ".(int)$_REQUEST['pos'].",".(int)$gb_settings['noOfArticles']." ";
DEBUG(1, $query_count, __FILE__, __LINE__);
$db = new DB;
$db->query($query_count);
$db->next_record();
$max_anzahl = $db->v('COUNT(*)');

DEBUG(1, $query, __FILE__, __LINE__);   
$db->query($query);

if ($db->num_rows()<=0) {
    echo $gb_settings['noArticlesFound'];
    return; //break;
}

//Idx der Artikel laden, um query-string fr Kommentare fertig zu stellen
$query_comments = "SELECT idx ".$where." ORDER BY ".addslashes($gb_settings['sorting'])." LIMIT ".(int)$_REQUEST['pos'].",".(int)$gb_settings['noOfArticles']." ";
DEBUG(1, $query_comments, __FILE__, __LINE__);
$db_comments = new DB;
$db_comments->query($query_comments);

//Query-String fr Kommentare fertig stellen
$temp = "AND (";

while ($db_comments->next_record()) {
    $where_comments .= $temp." ( idx like '".addslashes(substr($db_comments->v('idx'), 0, 3))."___' AND idx!='".addslashes($db_comments->v('idx'))."' ) ";
    $temp = "OR";    
}
$temp = ") ";
$where_comments .= $temp;
unset($temp);

//Kommentare laden
$query_comments = "SELECT rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify, c_time ".$where_comments." "
            ."ORDER BY ".addslashes($gb_settings['sorting_comment'])." ";
DEBUG(1, $query_comments, __FILE__, __LINE__);
$db_comments->query($query_comments);

//Alle Kommentare der anzuzeigenden Artikel in Array packen
$comments = array();
while ($db_comments->next_record()) {
    $idx = substr($db_comments->v('idx'), 0, 3);
    if (count(explode('#', $db_comments->v('titel')))>=2) {
        $db_titel = substr($db_comments->v('titel'), strpos($db_comments->v('titel'), '#')+1);    
    }
    //array comments[nr des zugehrigen Artikels][fortlaufende Nummer][db_werte des Kommentars fr Parsing]
    $comments[$idx][] = array('db_template'=>$gb_settings['template_id'], //$db->v('templates_id');
        'db_nr'=>$db_comments->v('nr'),
        'db_idx'=>$db_comments->v('idx'),
        'db_email'=>$db_comments->v('email'),
        'db_autor'=>$db_comments->v('autor'),
        'db_changer'=>$db_comments->v('changer'),
        'db_c_time'=>$db_comments->v('c_time'), //Habe ich eingefgt
        'db_pub_datum'=>$db_comments->v('pub_datum'),
        'db_verfallsdatum'=>$db_comments->v('verfallsdatum'),
        'db_commentary'=>$db_comments->v('commentary'),
        'db_titel'=>$db_titel, //$db_comments->v('titel'),
        'db_initial'=>$db_comments->v('initial'), //Dies benutze ich fr die User_id = $sid_user['id'];
        'db_freigabe'=>$db_comments->v('freigabe'),
        'db_rubric_id'=>$db_comments->v('rubric_id'),
        'db_last_modify'=>$db_comments->v('last_modify')
    );
    if ($GLOBALS['lastUpdated']<strtotime($db_comments->v('last_modify'))) {
        $GLOBALS['lastUpdated'] = strtotime($db_comments->v('last_modify'));
    }
}
unset($db_comments);

$articleSeparator = '';
while($db->next_record()) {
    //Variable fr Parsing-Ergebnis aller Kommentare eines Artikels bei jedem Artikel immer lschen
    $db_comments_datei = '';
    //gibt es Kommentare zum aktuellen Artikel
    if (isset($comments[substr($db->v('idx'), 0, 3)]) && is_array($comments[substr($db->v('idx'), 0, 3)])) {
        //Ausgabepufferung aktivieren
        ob_start();
        $commentSeparator = '';
        foreach ($comments[substr($db->v('idx'), 0, 3)] as $value) {
            $db_comments_datei .= $commentSeparator;
            //Aus dem array $value die $db_... - Werte extrahieren
            extract($value);
    
            $pagetype = 'php';
            require(CPO_BASEDIR.'_include/select_template.php');
            $db_comments_datei .= ob_get_contents();
            ob_clean();
    
            $commentSeparator = $gb_settings['commentSeparator'];     
        }
        //Ausgabepufferung beenden und Puffer lschen.
        ob_end_clean();
    } //ende - gibt es Kommentare zum aktuellen Artikel
    
    echo $articleSeparator;

    $db_template      = $gb_settings['template_id']; //$db->v('templates_id');
    $db_nr          = $db->v('nr');
    $db_idx           = $db->v('idx');
    $db_email         = $db->v('email');
    $db_autor         = $db->v('autor');
    $db_changer       = $db->v('changer');
    $db_c_time= $db->v('c_time'); //Habe ich eingefgt
    $db_pub_datum     = $db->v('pub_datum');
    $db_verfallsdatum = $db->v('verfallsdatum');
    $db_commentary    = $db->v('commentary');
    $db_titel         = $db->v('titel');
    $db_initial       = $db->v('initial'); //Dies benutze ich fr die User_id = $sid_user['id'];
    $db_freigabe      = $db->v('freigabe');
    $db_rubric_id     = $db->v('rubric_id');
    $db_last_modify   = $db->v('last_modify');
    if ($GLOBALS['lastUpdated']<strtotime($db_last_modify)) {
        $GLOBALS['lastUpdated'] = strtotime($db_last_modify);
    }
    if (count(explode('#', $db->v('titel')))>=2) {
        $db_titel = substr($db->v('titel'), strpos($db->v('titel'), '#')+1);    
    }
    
    if ($gb_settings['print_comments']=='pre') {
        echo $db_comments_datei;
    }
    
    $pagetype = 'index';
    require(CPO_BASEDIR.'_include/select_template.php');

    if ($gb_settings['print_comments']=='post') {
        echo $db_comments_datei;
    }
    
    $articleSeparator = $gb_settings['articleSeparator'];
}

if ($pagetype=='index' || $pagetype=='php') {
    $tl['Found:']        = $gb_settings['pager_found'];
    $tl['Results:']      = $gb_settings['pager_results'];
    $tl['previous page'] = $gb_settings['pager_previous'];
    $tl['next page']     = $gb_settings['pager_next'];
    next_page($_REQUEST['pos'], $max_anzahl, $gb_settings['noOfArticles'], $gb_settings['pager_showresults'], 'rubric='.htmlspecialchars($cpoRubric['name']), '', $tl);
}
?>
